# Partie 3

## Retour à la case départ

Que se passe-t-il lorsque Titi tombe du bas de l'écran ? En ce moment, vous le perdez probablement pour toujours. Essayons de faire quelque chose de mieux.

Ajoutez cette nouvelle fonction après la fonction on_mouse_down :
```python
def reset():
    print("Retour au départ...")
    titi.speed = 1
    titi.center = (75, 350)
    tube_superieur.center = (300, 0)
    tube_inferieur.center = (300, tube_superieur.height + gap)
```
Chaque ligne de cette fonction attribue une valeur. D'abord, elle ramène la vitesse de Titi à ce qu'elle était au départ, puis place son centre à une position x,y. Elle ramène également les tuyaux à leur point de départ. Si vous essayez le jeu maintenant, vous verrez que rien n'a changé. N'oubliez pas qu'une fonction ne fait rien tant que vous ne l'avez pas appelée. Appelons-la à partir de la fonction de mise à jour si Titi quitte l'écran.

> Ajoutez ceci à la fin de la fonction de mise à jour :

```python
if titi.y > HEIGHT :
    reset()
```

Attention à bien respecter les *indentations* à l'intérieur de la fonction *update()*.

> Vérifiez que tout se réinitialise si Titi tombe du bas de l'écran.
> Il faut aussi réinitialiser le jeu si Titi sort du haut de l'écran.

> Modifiez votre code pour que cela fonctionne. Astuce : vous aurez besoin du mot-clé **or**.

